Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.builder
Class Builder

    java.lang.Object
      com.pmease.quickbuild.builder.Builder

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AntBuilder, CommandBuilder, Maven2Builder, MavenBuilder, NAntBuilder

public abstract class Builder
extends java.lang.Object
implements java.io.Serializable

Abstract builder including common functionalities for a builder implementation.

Author:
  robin shine
See Also:
  Serialized Form

Constructor Summary
`Builder()`

Method Summary
`protected abstract java.lang.String` | `constructBuildCmd(Build build)` Constructs the command to run build
`protected abstract java.lang.String` | `constructBuildCmdDir(Build build)` Constructs the directory to run build command in
`boolean` | `equals(java.lang.Object other)`
`void` | `execute(Build build)` Perform build in specified build context
`java.lang.String` | `getBuildSuccessCondition()` OGNL: The build success condition is an OGNL expression used to determine if the build of the current project was successful.
`java.util.Map` | `getBuildSuccessConditionChoices()`
`BuilderEditor` | `getEditor()`
`java.util.Map` | `getEnvironments()` OGNL: Environment variables to set before running this builder.
`java.lang.String` | `getName()` OGNL: Specify name of this builder
`java.util.Map` | `getNameChoices()`
`int` | `getResult()` OGNL: Get result code of this builder.
`int` | `hashCode()`
`boolean` | `logContainsLine(java.lang.String linePattern)` OGNL: Determine whether or not the builder log contains specified line pattern
`void` | `setBuildSuccessCondition(java.lang.String buildSuccessCondition)` Set build success condition for this builders
`void` | `setEditor(BuilderEditor editor)`
`void` | `setEnvironments(java.util.Map environments)` Set environment settings for this builder
`void` | `setName(java.lang.String name)` Set name of this builder
`void` | `validate(Editable editable)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Builder

    public Builder()

Method Detail

### execute

    public void execute(Build build)

  Perform build in specified build context

### getResult

    public int getResult()

  OGNL: Get result code of this builder.

  Returns:

### getEditor

    public BuilderEditor getEditor()

### setEditor

    public void setEditor(BuilderEditor editor)

### logContainsLine

    public boolean logContainsLine(java.lang.String linePattern)

  OGNL: Determine whether or not the builder log contains specified line pattern

  Parameters:
    `linePattern` -
  Returns:

### constructBuildCmd

    protected abstract java.lang.String constructBuildCmd(Build build)

  Constructs the command to run build

  Returns:
    the command to run build, should not be null

### constructBuildCmdDir

    protected abstract java.lang.String constructBuildCmdDir(Build build)

  Constructs the directory to run build command in

  Returns:
    the directory to run build command in. Null if do not care where to run build command

### getBuildSuccessCondition

    public java.lang.String getBuildSuccessCondition()

  OGNL: The build success condition is an OGNL expression used to determine if the build of the current project was successful. Refer to the user's guide for details.

### getBuildSuccessConditionChoices

    public java.util.Map getBuildSuccessConditionChoices()

### setBuildSuccessCondition

    public void setBuildSuccessCondition(java.lang.String buildSuccessCondition)

  Set build success condition for this builders

  Parameters:
    `buildSuccessCondition` -

### getEnvironments

    public java.util.Map getEnvironments()

  OGNL: Environment variables to set before running this builder. For example:
  buildVersion=${build.version}
  configurationName=${name}
  You should set one variable per line. OGNL expression can be inserted to form the value provided they are enclosed by ${...}. For valid OGNL expressions in this context, please refer to the user's guide.
  TIPS: For Ant/Maven builder, you can define JAVA_HOME here to build with a different JDK.

  Returns:

### setEnvironments

    public void setEnvironments(java.util.Map environments)

  Set environment settings for this builder

  Parameters:
    `environments` -

### getName

    public java.lang.String getName()

  OGNL: Specify name of this builder

### setName

    public void setName(java.lang.String name)

  Set name of this builder

  Parameters:
    `name` -

### getNameChoices

    public java.util.Map getNameChoices()

### equals

    public boolean equals(java.lang.Object other)

### hashCode

    public int hashCode()

### validate

    public void validate(Editable editable)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.